import 'package:flutter/material.dart';

extension OpenColorExtensions on Color {
  static Color fromHex(String hexString) {
    final cleanedHex = hexString.replaceFirst('#', '');
    final buffer = StringBuffer();
    if (cleanedHex.length == 6) buffer.write('ff');
    buffer.write(cleanedHex);
    return Color(int.parse(buffer.toString(), radix: 16));
  }

  String toHex({bool leadingHashSign = true}) {
    final hex = [
      alpha.toRadixString(16).padLeft(2, '0'),
      red.toRadixString(16).padLeft(2, '0'),
      green.toRadixString(16).padLeft(2, '0'),
      blue.toRadixString(16).padLeft(2, '0'),
    ].join();

    return '${leadingHashSign ? '#' : ''}$hex';
  }
}
